scala.tools.nsc.typechecker.Implicits

# ImplicitInfo

#### class ImplicitInfo extends AnyRef

A class that records an available implicit

Source
  Implicits.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ImplicitInfo
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ImplicitInfo(name: Global.Name, pre: Global.Type, sym: Global.Symbol)

   name

     The name of the implicit

   pre

     The prefix type of the implicit

   sym

     The symbol of the implicit

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Analyzer.ImplicitInfo to any2stringadd[Analyzer.ImplicitInfo] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Analyzer.ImplicitInfo, B)

   Implicit information
     This member is added by an implicit conversion from Analyzer.ImplicitInfo to ArrowAssoc[Analyzer.ImplicitInfo] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def ensuring(cond: (Analyzer.ImplicitInfo) ⇒ Boolean, msg: ⇒ Any): Analyzer.ImplicitInfo

   Implicit information
     This member is added by an implicit conversion from Analyzer.ImplicitInfo to Ensuring[Analyzer.ImplicitInfo] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (Analyzer.ImplicitInfo) ⇒ Boolean): Analyzer.ImplicitInfo

   Implicit information
     This member is added by an implicit conversion from Analyzer.ImplicitInfo to Ensuring[Analyzer.ImplicitInfo] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): Analyzer.ImplicitInfo

    Implicit information
      This member is added by an implicit conversion from Analyzer.ImplicitInfo to Ensuring[Analyzer.ImplicitInfo] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): Analyzer.ImplicitInfo

    Implicit information
      This member is added by an implicit conversion from Analyzer.ImplicitInfo to Ensuring[Analyzer.ImplicitInfo] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(other: Any): Boolean

    Definition Classes
      ImplicitInfo → AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Analyzer.ImplicitInfo to StringFormat[Analyzer.ImplicitInfo] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      ImplicitInfo → AnyRef → Any

18. #### def isCyclicOrErroneous: Boolean

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### def isStablePrefix: Boolean

21. #### val name: Global.Name

    The name of the implicit

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### val pre: Global.Type

    The prefix type of the implicit

26. #### val sym: Global.Symbol

    The symbol of the implicit

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toString(): String

    Definition Classes
      ImplicitInfo → AnyRef → Any

29. #### def tpe: Global.Type

    Computes member type of implicit from prefix `pre` (cached).

30. #### var useCountArg: Int

31. #### var useCountView: Int

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### def →[B](y: B): (Analyzer.ImplicitInfo, B)

    Implicit information
      This member is added by an implicit conversion from Analyzer.ImplicitInfo to ArrowAssoc[Analyzer.ImplicitInfo] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Analyzer.ImplicitInfo to any2stringadd[Analyzer.ImplicitInfo]

### Inherited by implicit conversion StringFormat from Analyzer.ImplicitInfo to StringFormat[Analyzer.ImplicitInfo]

### Inherited by implicit conversion Ensuring from Analyzer.ImplicitInfo to Ensuring[Analyzer.ImplicitInfo]

### Inherited by implicit conversion ArrowAssoc from Analyzer.ImplicitInfo to ArrowAssoc[Analyzer.ImplicitInfo]

### Ungrouped